import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
const main  = () => import( '@/components/main.vue')
// 系统配置管理
//运输预约--提出需求
const requirement  = () => import( '@/views/inward/components/truckAppoint/requirement.vue')
// 没有提出需求页面
const requirementOther  = () => import( '@/views/inward/components/truckAppoint/requirementOther.vue')
//运输预约--提出采购内转需求
const purInwardRequirement  = () => import( '@/views/inward/components/truckAppoint/purInwardRequirement.vue')
//运输预约--制定计划
const truckAppointPlan  = () => import( '@/views/inward/components/truckAppoint/plan.vue')
//运输订单--新增采购内转派单
const addPurInwardOrder  = () => import( '@/views/inward/components/truckOrder/addPurInwardOrder.vue')
//运输订单--采购内转派单
const purInwardTruckOrder  = () => import( '@/views/inward/components/truckOrder/purInwardTruckOrder.vue')

//运输预约--制定内转钢材到异地库计划
const RailPlan  = () => import( '@/views/inward/components/truckAppoint/RailPlan.vue')
//运输订单--分解计划
const truckOrderPlan  = () => import( '@/views/inward/components/truckOrder/plan.vue')
//运输订单--分解内转异地库计划
const truckOrderRailPlan  = () => import( '@/views/inward/components/truckOrder/RailPlan.vue')
//运输订单--分派计划
const dispatchPlan  = () => import( '@/views/inward/components/truckOrder/dispatchPlan.vue')
//内转钢材到异地库--汽车运输--进厂作业
const enFactoryResult  = () => import( '@/views/inward/components/offsetSteel/truckTransport/enFactoryResult.vue')
//内转钢材到异地库--汽车运输--计皮作业
const tareWeightResult  = () => import( '@/views/inward/components/offsetSteel/truckTransport/tareWeightResult.vue')
//内转钢材到异地库--汽车运输--装车作业
const loadTruckResult  = () => import( '@/views/inward/components/offsetSteel/truckTransport/loadTruckResult.vue')
//内转钢材到异地库--汽车运输--质检作业
const qualityResult  = () => import( '@/views/inward/components/offsetSteel/truckTransport/qualityResult.vue')
//内转钢材到异地库--汽车运输--计毛作业
const grossWeightResult  = () => import( '@/views/inward/components/offsetSteel/truckTransport/grossWeightResult.vue')
//内转钢材到异地库--汽车运输--出厂作业
const outFactory  = () => import( '@/views/inward/components/offsetSteel/truckTransport/outFactory.vue')
//内转钢材到异地库--汽车运输--收货作业
const truckReceiptResult  = () => import( '@/views/inward/components/offsetSteel/truckTransport/truckReceiptResult.vue')
//内转钢材到异地库--火车运输--请车作业
const wagonPlease  = () => import( '@/views/inward/components/offsetSteel/truckTrain/wagonPlease.vue')

//内转钢材到异地库--分派订单
const saleTruckOrder  = () => import( '@/views/inward/components/offsetSteel/saleSteelTruckOrder/saleTruckOrder.vue')
const saleTruckPreview  = () => import( '@/views/inward/components/offsetSteel/saleSteelTruckOrder/saleTruckPreview.vue')

//内转钢材到异地库--火车运输--批车作业
const wagonApprove  = () => import( '@/views/inward/components/offsetSteel/truckTrain/wagonApprove.vue')
//内转钢材到异地库--火车运输--装车作业
const wagonLoad  = () => import( '@/views/inward/components/offsetSteel/truckTrain/wagonLoad.vue')
//内转钢材到异地库--火车运输--卸车作业
const wagonUnLoad  = () => import( '@/views/inward/components/offsetSteel/truckTrain/wagonUnLoad.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--火车卸车
const trainUnload  = () => import( '@/views/inward/components/inwardImport/daZhou/trainUnload.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--汽车装车
const truckLoad  = () => import( '@/views/inward/components/inwardImport/daZhou/truckLoad.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--进厂作业
const daZhouEnFactoryResult  = () => import( '@/views/inward/components/inwardImport/daZhou/enFactoryResult.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--计毛作业
const daZhouGrossWeightResult  = () => import( '@/views/inward/components/inwardImport/daZhou/grossWeightResult.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--卸货作业
const unload  = () => import( '@/views/inward/components/inwardImport/daZhou/unload.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--质检作业
const daZhouQualityResult  = () => import( '@/views/inward/components/inwardImport/daZhou/qualityResult.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--计皮作业
const daZhouTareWeightResult  = () => import( '@/views/inward/components/inwardImport/daZhou/tareWeightResult.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--收货作业
const receipt  = () => import( '@/views/inward/components/inwardImport/daZhou/receipt.vue')
//内转进口矿/国产矿/燃料--达州站-厂内料场--出厂作业
const daZhouOutFactory  = () => import( '@/views/inward/components/inwardImport/daZhou/outFactory.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--铁路专用线卸货
const trainLineUnload  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/trainLineUnload.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--质检作业
const oldAreaRailScaleQualityResult  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/qualityResult.vue')
//内转进口矿-轨道衡厂内料场-质检作业
const oldAreaEnfactoryResult  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/enFactory.vue')
//内转老区轨道衡进厂
const oldAreaOutfactoryResult  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/outFactory.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--汽车装货
const oldAreaRailScaleTruckLoad  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/truckLoad.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--计毛作业
const oldAreaRailScaleGrossWeightResult  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/grossWeightResult.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--卸货作业
const oldAreaRailScaleUnload  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/unload.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--计皮作业
const oldAreaRailScaleTareWeightResult  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/tareWeightResult.vue')
//内转进口矿/国产矿/燃料--老区轨道衡-厂内料场--收货作业
const oldAreaRailScaleReceipt  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/receipt.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--进厂作业
const inwardFactoryEnFactoryResult  = () => import( '@/views/inward/components/inwardFactory/enFactoryResult.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--装车作业
const inwardFactoryTruckLoad  = () => import( '@/views/inward/components/inwardFactory/truckLoad.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--计量作业
const inwardFactoryTareWeightResult  = () => import( '@/views/inward/components/inwardFactory/tareWeightResult.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--卸车作业
const inwardFactoryUnload  = () => import( '@/views/inward/components/inwardFactory/unload.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--出厂作业
const inwardFactoryOutFactory  = () => import( '@/views/inward/components/inwardFactory/outFactory.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--计时作业
const timeTaskResult  = () => import( '@/views/inward/components/inwardFactory/timeTaskResult.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--计数作业
const countResult  = () => import( '@/views/inward/components/inwardFactory/countResult.vue')
//内转进口矿/国产矿/燃料--内转厂内物资--包月作业
const monthResult  = () => import( '@/views/inward/components/inwardFactory/monthResult.vue')
//倒库作业
const reverseResult  = () => import( '@/views/inward/components/inwardFactory/reverseResult.vue')
//**************************************跳转界面**************************************/

//新增采购内转需求
const addRequirement  = () => import( '@/views/inward/components/truckAppoint/addRequirement.vue')
//新增厂内内转需求
const addRequirement2  = () => import( '@/views/inward/components/truckAppoint/addRequirement2.vue')
//修改需求
const updateRequirement  = () => import( '@/views/inward/components/truckAppoint/updateRequirement.vue')
//新增计划
const addPlan  = () => import( '@/views/inward/components/truckAppoint/addPlan.vue')
//修改计划
const updatePlan  = () => import( '@/views/inward/components/truckAppoint/updatePlan.vue')
//新增内转钢材到异地库计划
const addRailPlan  = () => import( '@/views/inward/components/truckAppoint/addRailPlan.vue')
//计划分解
const decomposePlan  = () => import( '@/views/inward/components/truckOrder/decomposePlan.vue')

//查看计划运单详情
const getPlanOrder  = () => import( '@/views/inward/components/truckOrder/getPlanOrder.vue')
//查看需求运单详情
const getRequirementOrder  = () => import( '@/views/inward/components/truckAppoint/getRequirementOrder.vue')
//内转异地库计划分解
const decomposeRailPlan  = () => import( '@/views/inward/components/truckOrder/decomposeRailPlan.vue')
//请车作业新增
const addWagonPlease  = () => import( '@/views/inward/components/offsetSteel/truckTrain/addWagonPlease.vue')
//请车作业修改
const editWagonPlease  = () => import( '@/views/inward/components/offsetSteel/truckTrain/editWagonPlease.vue')
//批车作业新增
const addApproveWagonPlease  = () => import( '@/views/inward/components/offsetSteel/truckTrain/addApproveWagonPlease.vue')
//新增批车作业
const editApproveWagonPlease  = () => import( '@/views/inward/components/offsetSteel/truckTrain/editApproveWagonPlease.vue')
//装车作业新增
const addWagonLoad  = () => import( '@/views/inward/components/offsetSteel/truckTrain/addWagonLoad.vue')
//装车作业修改
const editWagonLoad  = () => import( '@/views/inward/components/offsetSteel/truckTrain/editWagonLoad.vue')
//车皮卸车作业新增
const addWagonUnLoad  = () => import( '@/views/inward/components/offsetSteel/truckTrain/addWagonUnLoad.vue')
//车皮卸车作业修改
const editWagonUnLoad  = () => import( '@/views/inward/components/offsetSteel/truckTrain/editWagonUnLoad.vue')
//新增汽车装货
const addTruckLoad  = () => import( '@/views/inward/components/inwardImport/daZhou/addTruckLoad.vue')
//修改汽车装货
const updateTruckLoad  = () => import( '@/views/inward/components/inwardImport/daZhou/updateTruckLoad.vue')
//新增汽车装车
const oldAreaRailScaleAddTruckLoad  = () => import( '@/views/inward/components/inwardImport/oldAreaRailScale/addTruckLoad.vue')
//内转厂内物资--新增汽车装货
const inwardFactoryAddTruckLoad  = () => import( '@/views/inward/components/inwardFactory/addTruckLoad.vue')

//内转结算--纯内转计费详单
const inwardDetailOrders  = () => import( '../components/inwardSettlement/detailOrder.vue')
//内转结算--采购内转计费详单
const inwardPurDetailsOrders  = () => import( '../components/inwardSettlement/purInwardDetailsOrder.vue')
//内转结算--计时计费详单
const inwardTimeDetailsOrders  = () => import( '../components/inwardSettlement/timeDetailsWeight.vue')
//内转结算--计数计费详单
const inwardCountDetailsOrders  = () => import( '../components/inwardSettlement/countDetailOrder.vue')
//内转结算--计时和计重计费详单
const inwardWeightTimeDetailsOrder  = () => import( '../components/inwardSettlement/inwardAllDetailsOrder.vue')

//继续分解采购内转需求订单
const addPurInwardOrderCon  = () => import( '@/views/inward/components/truckOrder/addPurInwardOrderCon.vue')

//内转火车发运明细
const platformStockInfo  = () => import( '@/views/inward/components/offsetSteel/saleSteelTruckOrder/platformStockInfo.vue')
//库存调拨单浏览
const kucunList  = () => import( '@/views/inward/components/offsetSteel/saleSteelTruckOrder/kucunList.vue')

const inwardBilletRequirement = () =>
  import('@/views/inward/components/inwardBillet/inwardBillet.vue')

const addInwardBillet = () =>
  import('@/views/inward/components/inwardBillet/addInwardBillet.vue')
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {
      title: '首页',
      code: 'xtpzgl'
    },
    component: main,
    redirect: {
      name: 'requirement'
    },
    children: [
      {
        path: 'requirement',
        name: 'requirement',
        meta: { code: 'xtpzgl-yhgl' },
        component: requirement
      },
      {
        path: 'requirementOther',
        name: 'requirementOther',
        meta: { code: 'xtpzgl-yhgl' },
        component: requirementOther
      },
      {
        path: 'purInwardRequirement',
        name: 'purInwardRequirement',
        meta: { code: 'xtpzgl-yhgl' },
        component: purInwardRequirement
      },
      {
        path: 'truckAppointPlan',
        name: 'truckAppointPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckAppointPlan
      },
      {
        path: 'purInwardTruckOrder',
        name: 'purInwardTruckOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: purInwardTruckOrder
      },
      {
        path: 'addPurInwardOrder',
        name: 'addPurInwardOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: addPurInwardOrder
      },
      {
        path: 'truckAppointPlan',
        name: 'truckAppointPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckAppointPlan
      },
      {
        path: 'RailPlan',
        name: 'RailPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: RailPlan
      },
      {
        path: 'truckOrderPlan',
        name: 'truckOrderPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckOrderPlan
      },
      {
        path: 'truckOrderRailPlan',
        name: 'truckOrderRailPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckOrderRailPlan
      },
      {
        path: 'dispatchPlan',
        name: 'dispatchPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: dispatchPlan
      },
      {
        path: 'enFactoryResult',
        name: 'enFactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: enFactoryResult
      },
      {
        path: 'tareWeightResult',
        name: 'tareWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: tareWeightResult
      },
      {
        path: 'loadTruckResult',
        name: 'loadTruckResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: loadTruckResult
      },
      {
        path: 'qualityResult',
        name: 'qualityResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: qualityResult
      },
      {
        path: 'grossWeightResult',
        name: 'grossWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: grossWeightResult
      },
      {
        path: 'outFactory',
        name: 'outFactory',
        meta: { code: 'xtpzgl-yhgl' },
        component: outFactory
      },
      {
        path: 'truckReceiptResult',
        name: 'truckReceiptResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: truckReceiptResult
      },
      {
        path: 'wagonPlease',
        name: 'wagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonPlease
      },
      {
        path: 'wagonApprove',
        name: 'wagonApprove',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonApprove
      },
      {
        path: 'wagonLoad',
        name: 'wagonLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonLoad
      },
      {
        path: 'wagonUnLoad',
        name: 'wagonUnLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: wagonUnLoad
      },
      {
        path: 'trainUnload',
        name: 'trainUnload',
        meta: { code: 'xtpzgl-yhgl' },
        component: trainUnload
      },

      {
        path: 'saleTruckOrder',
        name: 'saleTruckOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: saleTruckOrder
      },
      {
        path: 'saleTruckPreview',
        name: 'saleTruckPreview',
        meta: { code: 'xtpzgl-yhgl' },
        component: saleTruckPreview
      },
      {
        path: 'daZhouEnFactoryResult',
        name: 'daZhouEnFactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: daZhouEnFactoryResult
      },
      {
        path: 'daZhouGrossWeightResult',
        name: 'daZhouGrossWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: daZhouGrossWeightResult
      },
      {
        path: 'unload',
        name: 'unload',
        meta: { code: 'xtpzgl-yhgl' },
        component: unload
      },
      {
        path: 'daZhouQualityResult',
        name: 'daZhouQualityResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: daZhouQualityResult
      },
      {
        path: 'daZhouTareWeightResult',
        name: 'daZhouTareWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: daZhouTareWeightResult
      },
      {
        path: 'receipt',
        name: 'receipt',
        meta: { code: 'xtpzgl-yhgl' },
        component: receipt
      },
      {
        path: 'daZhouOutFactory',
        name: 'daZhouOutFactory',
        meta: { code: 'xtpzgl-yhgl' },
        component: daZhouOutFactory
      },
      {
        path: 'trainLineUnload',
        name: 'trainLineUnload',
        meta: { code: 'xtpzgl-yhgl' },
        component: trainLineUnload
      },
      {
        path: 'oldAreaRailScaleQualityResult',
        name: 'oldAreaRailScaleQualityResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleQualityResult
      },
      {
        path: 'oldAreaOutfactoryResult',
        name: 'oldAreaOutfactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaOutfactoryResult
      },
      {
        path: 'oldAreaEnfactoryResult',
        name: 'oldAreaEnfactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaEnfactoryResult
      },
      {
        path: 'oldAreaRailScaleTruckLoad',
        name: 'oldAreaRailScaleTruckLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleTruckLoad
      },
      {
        path: 'oldAreaRailScaleGrossWeightResult',
        name: 'oldAreaRailScaleGrossWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleGrossWeightResult
      },
      {
        path: 'oldAreaRailScaleUnload',
        name: 'oldAreaRailScaleUnload',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleUnload
      },
      {
        path: 'oldAreaRailScaleTareWeightResult',
        name: 'oldAreaRailScaleTareWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleTareWeightResult
      },
      {
        path: 'oldAreaRailScaleReceipt',
        name: 'oldAreaRailScaleReceipt',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleReceipt
      },
      {
        path: 'inwardFactoryEnFactoryResult',
        name: 'inwardFactoryEnFactoryResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardFactoryEnFactoryResult
      },
      {
        path: 'inwardFactoryTruckLoad',
        name: 'inwardFactoryTruckLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardFactoryTruckLoad
      },
      {
        path: 'inwardFactoryTareWeightResult',
        name: 'inwardFactoryTareWeightResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardFactoryTareWeightResult
      },
      {
        path: 'inwardFactoryUnload',
        name: 'inwardFactoryUnload',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardFactoryUnload
      },
      {
        path: 'inwardFactoryOutFactory',
        name: 'inwardFactoryOutFactory',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardFactoryOutFactory
      },
      {
        path: 'timeTaskResult',
        name: 'timeTaskResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: timeTaskResult
      },
      {
        path: 'countResult',
        name: 'countResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: countResult
      },
      {
        path: 'monthResult',
        name: 'monthResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: monthResult
      },
      {
        path: 'reverseResult',
        name: 'reverseResult',
        meta: { code: 'xtpzgl-yhgl' },
        component: reverseResult
      },
      /*****************************************跳转页面*****************************************/
      {
        path: 'addRequirement',
        name: 'addRequirement',
        meta: { code: 'xtpzgl-yhgl' },
        component: addRequirement
      },
      {
        path: 'addRequirement2',
        name: 'addRequirement2',
        meta: { code: 'xtpzgl-yhgl' },
        component: addRequirement2
      },
      {
        path: 'updateRequirement/:requirementId',
        name: 'updateRequirement',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateRequirement
      },
      {
        path: 'addPlan',
        name: 'addPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: addPlan
      },
      {
        path: 'updatePlan/:planId',
        name: 'updatePlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: updatePlan
      },
      {
        path: 'addRailPlan',
        name: 'addRailPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: addRailPlan
      },
      {
        path: 'decomposePlan/:planId',
        name: 'decomposePlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: decomposePlan
      },
      {
        path: 'getPlanOrder/:planId',
        name: 'getPlanOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: getPlanOrder
      },
      {
        path: 'getRequirementOrder/:requirementId',
        name: 'getRequirementOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: getRequirementOrder
      },
      {
        path: 'decomposeRailPlan/:dayPlanId',
        name: 'decomposeRailPlan',
        meta: { code: 'xtpzgl-yhgl' },
        component: decomposeRailPlan
      },
      {
        path: 'addWagonPlease',
        name: 'addWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonPlease
      },
      {
        path: 'editWagonPlease/:resultId',
        name: 'editWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonPlease
      },
      {
        path: 'addApproveWagonPlease',
        name: 'requaddApproveWagonPleaseirement',
        meta: { code: 'xtpzgl-yhgl' },
        component: addApproveWagonPlease
      },
      {
        path: 'editApproveWagonPlease/:resultId',
        name: 'editApproveWagonPlease',
        meta: { code: 'xtpzgl-yhgl' },
        component: editApproveWagonPlease
      },
      {
        path: 'addWagonLoad',
        name: 'addWagonLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonLoad
      },
      {
        path: 'editWagonLoad/:resultId',
        name: 'editWagonLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonLoad
      },
      {
        path: 'addWagonUnLoad',
        name: 'addWagonUnLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: addWagonUnLoad
      },
      {
        path: 'editWagonUnLoad/:unloadingId',
        name: 'editWagonUnLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: editWagonUnLoad
      },
      {
        path: 'addTruckLoad',
        name: 'addTruckLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: addTruckLoad
      },
      {
        path: 'updateTruckLoad/:resultId',
        name: 'updateTruckLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: updateTruckLoad
      },
      {
        path: 'oldAreaRailScaleAddTruckLoad',
        name: 'oldAreaRailScaleAddTruckLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: oldAreaRailScaleAddTruckLoad
      },
      {
        path: 'inwardFactoryAddTruckLoad',
        name: 'inwardFactoryAddTruckLoad',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardFactoryAddTruckLoad
      },
      {
        path: 'inwardDetailOrders',
        name: 'inwardDetailOrders',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardDetailOrders
      },
      {
        path: 'inwardCountDetailsOrders',
        name: 'inwardCountDetailsOrders',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardCountDetailsOrders
      },
      {
        path: 'inwardTimeDetailsOrders',
        name: 'inwardTimeDetailsOrders',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardTimeDetailsOrders
      },
      {
        path: 'inwardPurDetailsOrders',
        name: 'inwardPurDetailsOrders',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardPurDetailsOrders
      },
      {
        path: 'inwardWeightTimeDetailsOrder',
        name: 'inwardWeightTimeDetailsOrder',
        meta: { code: 'xtpzgl-yhgl' },
        component: inwardWeightTimeDetailsOrder
      },
      {
        path: 'addPurInwardOrderCon/:planId',
        name: 'addPurInwardOrderCon',
        meta: { code: 'xtpzgl-yhgl' },
        component: addPurInwardOrderCon
      },
      {
        path: 'platformStockInfo',
        name: 'platformStockInfo',
        meta: { code: 'xtpzgl-yhgl' },
        component: platformStockInfo
      },
      {
        path: 'kucunList',
        name: 'kucunList',
        meta: { code: 'xtpzgl-yhgl' },
        component: kucunList
      },
      {
        path: 'inwardBilletRequirement',
        name: 'inwardBilletRequirement',
        meta: {
          code: 'xtpzgl-yhgl'
        },
        component: inwardBilletRequirement
      },
      {
        path: 'addInwardBillet',
        name: 'addInwardBillet',
        meta: {
          code: 'xtpzgl-yhgl'
        },
        component: addInwardBillet
      }
    ]
  }
]

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap)

export default router
//  constantRouterMap
export const routes = constantRouterMap
